# Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.
package ContentTransport::ContentTransport;

use strict;

use Logging;

sub new {
  my $self = {};
  bless( $self, shift );
  $self->_init(@_);
  return $self;
}

sub _init {
  my( $self, $options ) = @_;
  $self->{options} = $options;
}

sub getContentTransportDescription {
  my $self = shift;

  die "Pure virtual function call";
}

sub addContent {
  my ( $self, $cid_type, $proposedId, %options) = @_;

  die "Pure virtual function call";
}

sub _skipContent {
    my ($self, %options) = @_;

  if (exists($options{'skip_content'})) {
    return $options{'skip_content'} ? 1 : 0;
  } else {
    return exists($self->{skip_content}) ? 1 : 0;
  }
}

1;